package org.gradle.api.tasks.testing

import org.gradle.api.tasks.compile.AbstractOptions

/**
 * @author Tom Eyckmans
 */
class AbstractAntTestTask {
    static final String CLASSPATH_ID = 'runtests.classpath'

    static final String FAILURES_OR_ERRORS_PROPERTY = 'org.gradle.api.tasks.testing.failuresOrErrors'

    void execute(File compiledTestsClassesDir, List classPath, File testResultsDir, File testReportDir, List includes, List excludes, AbstractOptions testngOptions, AntBuilder ant)
    {
    }

    protected void createAntClassPath(AntBuilder ant, List classpath) {
        ant.path(id: CLASSPATH_ID) {
            classpath.each {
                logger.debug("Add {} to Ant classpath!", it)
                pathelement(location: it)
            }
        }
    }
}